=== debian/changelog ===
libkolabxml (0.7.0-0ubuntu3) quantal; urgency=low

  * Add kubuntu_fix_curl_constness.patch to fix building
  * Use non-versioned boost -dev packages to improve backprotability

 -- Harald Sitter <apachelogger@ubuntu.com>  Wed, 12 Sep 2012 21:07:57 +0200

libkolabxml (0.7.0-0ubuntu2) quantal; urgency=low

  * Add libcurl4-gnutls-dev build-dep

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jul 2012 13:36:30 +0100

libkolabxml (0.7.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jul 2012 12:33:20 +0100

libkolabxml (0.6.0+repack1-0ubuntu3) quantal; urgency=low

  * Enable parallel building.
  * Switch to debhelper compat level v9 which exports build flags.
  * Add a watch file.

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 17 Jul 2012 19:16:09 +0200

libkolabxml (0.6.0+repack1-0ubuntu2) quantal; urgency=low

  * Initial release.
  * .orig repacked with copying licences from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jul 2012 12:55:57 +0100
