=== debian/control ===
Source: libkolabxml
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 9),
               libxerces-c-dev,
               xsdcxx,
               uuid-dev,
               libboost-dev,
               libboost-thread-dev,
               swig2.0,
               libcurl4-gnutls-dev,
Standards-Version: 3.9.3
Homepage: http://git.kolab.org/libkolabxml

Package: libkolabxml0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Kolab Format 3.0 serialization, read and write library
 libkolabxml is a slim, lightweight Kolab Format 3.0 serialization,
 read and write library.

Package: libkolabxml-dev
Section: libdevel
Architecture: any
Depends: libkolabxml0 (= ${binary:Version}),
         ${misc:Depends}
Description: Kolab Format 3.0 serialization, read and write library
 libkolabxml is a slim, lightweight Kolab Format 3.0 serialization,
 read and write library.
 .
 This package contains the development files for the library.
