## libkolabxml 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,9 +40,9 @@
 # 0.2 (0.2 development version)
 
 set (Libkolabxml_VERSION_MAJOR 0)
-set (Libkolabxml_VERSION_MINOR 7)
+set (Libkolabxml_VERSION_MINOR 8)
 # Enable the full x.y.z version only for release versions
-set (Libkolabxml_VERSION_PATCH 0)
+set (Libkolabxml_VERSION_PATCH 2)
 set (Libkolabxml_VERSION "${Libkolabxml_VERSION_MAJOR}.${Libkolabxml_VERSION_MINOR}.${Libkolabxml_VERSION_PATCH}" )
 # set (Libkolabxml_VERSION "${Libkolabxml_VERSION_MAJOR}.${Libkolabxml_VERSION_MINOR}" )
 
@@ -82,7 +82,7 @@
 configure_file(libkolabxml-version.h.cmake "${CMAKE_BINARY_DIR}/libkolabxml-version.h" @ONLY)
 
 set(Boost_USE_MULTITHREADED ON)
-find_package(Boost REQUIRED COMPONENTS thread)
+find_package(Boost REQUIRED COMPONENTS thread system)
 if (Boost_FOUND)
     message("Found boost in ${Boost_INCLUDE_DIRS}")
 endif (Boost_FOUND)
@@ -180,6 +180,7 @@
 add_subdirectory(src)
 
 if (BUILD_TESTS)
+    enable_testing()
     add_subdirectory(tests)
 endif()
