=== debian/changelog ===
libkolabxml (0.8.2-0ubuntu3) raring; urgency=low

  * Don't depend on libcurl4-gnutls-dev after all, as it causes conflicts with
    the openssl variant of curl

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 31 Jan 2013 16:47:54 +0100

libkolabxml (0.8.2-0ubuntu2) raring; urgency=low

  * Make libkolabxml-dev depend on libboost-system1.49-dev,
    libboost-thread1.49-dev, libcurl4-gnutls-dev and libxerces-c-dev
    which are required by the cmake configuration for anything that
    uses libkolabxml.
  * Build-depend on the 1.49 boost package instead of the unversioned ones

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 31 Jan 2013 15:12:05 +0100

libkolabxml (0.8.2-0ubuntu1) raring; urgency=low

  [ Prasad Murthy ]
  * New upstream release
    - Removed kubuntu_fix_curl_constness.patch, applied upstream
    - Add libboost-system-dev to Build-depends
    
  [ Philip Muškovac ]
  * Build-depend on swig instead of swig2.0 as 2.0 isn't used 
  * Build-depend on libqt4-dev so the tests are built

 -- Prasad Murthy <phoenix_firebrd@yahoo.com>  Thu, 24 Jan 2013 06:15:45 +0530
