=== debian/control ===
--- 
+++ 
@@ -8,10 +8,12 @@
                libxerces-c-dev,
                xsdcxx,
                uuid-dev,
-               libboost-dev,
-               libboost-thread-dev,
-               swig2.0,
+               libboost1.49-dev,
+               libboost-thread1.49-dev,
+               swig,
                libcurl4-gnutls-dev,
+               libboost-system1.49-dev,
+               libqt4-dev
 Standards-Version: 3.9.3
 Homepage: http://git.kolab.org/libkolabxml
 
@@ -26,7 +28,10 @@
 Section: libdevel
 Architecture: any
 Depends: libkolabxml0 (= ${binary:Version}),
-         ${misc:Depends}
+         ${misc:Depends},
+         libboost-system1.49-dev,
+         libboost-thread1.49-dev,
+         libxerces-c-dev
 Description: Kolab Format 3.0 serialization, read and write library
  libkolabxml is a slim, lightweight Kolab Format 3.0 serialization,
  read and write library.
