=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

#override_dh_auto_configure:
#	dh_auto_configure -- -DINCLUDE_INSTALL_DIR=include/kolab
