=== debian/changelog ===
libkolabxml (0.8.4-5) unstable; urgency=low

  * Fix parallel build issue
  * Remove unused override
  * Upgrade to standards version 3.9.4
  * Fix dependency issues on libkolabxml-dev (Closes: #714102)
    - Disable transitive linking
    - Depend libkolabxml-dev on libboost-dev
  * Close race condition bug, see previous entry (Closes: #710568)
  * Fix changelog syntax re. closing bugs
  * Disable verbosity

 -- Paul Klos <kolab@klos2day.nl>  Thu, 11 Jul 2013 20:55:47 +0200

libkolabxml (0.8.4-4) unstable; urgency=low

  * Fix race condition
    php_kolabformat.h was accessed before generation was complete
  * Update changelog

 -- Paul Klos <kolab@klos2day.nl>  Sat, 15 Jun 2013 14:10:23 +0200

libkolabxml (0.8.4-3) unstable; urgency=low

  * Upload to Debian
  * Fix file not found error during dh_install

 -- Paul Klos <kolab@klos2day.nl>  Fri, 17 May 2013 23:03:10 +0200

libkolabxml (0.8.4-2) unstable; urgency=low

  * Update changelog
  * Make all descriptions end with a period.
  * Updated copyright
    Added FLOSS exception from http://www.codesynthesis.com/projects/xsd/FLOSSE
  * Use dh_makeshlibs override instead of shlibs file
  * Add GPL-3 paragraph
  * Fix shlibs
  * Move kolabformat.ini into debian/

 -- Paul Klos <kolab@klos2day.nl>  Mon, 13 May 2013 22:25:37 +0200

libkolabxml (0.8.4-1) unstable; urgency=low

  * Remove empty line
  * Imported Upstream version 0.8.4
  * Update changelog
  * Correct search for PHP version and include dirs
  * Remove unused cmake arguments
  * Remove unused verbosity
  * Add bug to patch description

 -- Paul Klos <kolab@klos2day.nl>  Sat, 13 Apr 2013 22:10:16 +0200

libkolabxml (0.8.3-2) unstable; urgency=low

  * Prepare for transition into Debian proper

 -- Paul Klos <kolab@klos2day.nl>  Sat, 13 Apr 2013 00:19:04 +0200

libkolabxml (0.8.3-1) unstable; urgency=low

  * Imported upstream version 0.8.3

 -- Paul Klos <kolab@klos2day.nl>  Fri, 01 Mar 2013 11:12:38 +0100

libkolabxml (0.8.1-5) unstable; urgency=low

  [ Paul Klos ]
  * Install kolabformat.ini to usr/share/php5/kolab
  * Have maintainer scripts manage kolabformat.ini

  [ Jeroen van Meeuwen ]
  * Rebuild

 -- Paul Klos <kolab@klos2day.nl>  Fri, 19 Oct 2012 20:02:17 +0200

libkolabxml (0.8.1-3.2) unstable; urgency=low

  * Non-maintainer upload.
  * Fixing lintian errors

 -- Paul Klos <kolab@klos2day.nl>  Sat, 13 Oct 2012 14:00:00 +0200

libkolabxml (0.8.1-3.1) UNRELEASED; urgency=low

  [ Jeroen van Meeuwen (Kolab Systems) ]
  * Resolve hardcoded libc dependency
  * Correct identity for maintainer
  * Fix typo

  [ Michael Kiefer <Michael-Kiefer@web.de> ]
  * Changed dependency for phpapi to allow phpapi-20100525+lfs 

 -- Michael Kiefer <Michael-Kiefer@web.de>  Sat, 29 Sep 2012 21:36:35 +0200

libkolabxml (0.8.1-2) unstable; urgency=low

  [ Jeroen van Meeuwen (Kolab Systems) ]
  * Make the variables used be explicitly executed in shell
  * Attempt to include shlibs with libkolabxml0

  [ Kolab Systems User ]

 -- Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com>  Sat, 08 Sep 2012 19:25:44 +0200

libkolabxml (0.8.1-1) unstable; urgency=low

  * Build for Debian Wheezy

 -- Jeroen van Meeuwen <vanmeeuwen@kolabsys.com>  Fri,  7 Sep 2012 14:07:50 +0100
